org.icefaces.ace.model.table

## Class ColumnGroupModel.ConstructionState

- java.lang.Object
- - org.icefaces.ace.model.table.ColumnGroupModel.ConstructionState

- Enclosing class:
    ColumnGroupModel

      public class ColumnGroupModel.ConstructionState
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `columnOrdering`
    `protected int` | `columnOrderingIndex`
    `protected int` | `columnsFromPreviousRows`
    `protected int` | `minRowspanDown`
    `protected int` | `position`
    `protected int` | `prevPosition`
    `protected java.util.ArrayList<Column>` | `unsortedColumnsForRow`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConstructionState(java.util.List<java.lang.Integer> columnOrdering)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRow(Row row)`
    `void` | `addUnsortedColumnForRow(Column column)`
    `void` | `end()`
    `void` | `endRow()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### minRowspanDown

          protected int minRowspanDown

    - #### position

          protected int position

    - #### prevPosition

          protected int prevPosition

    - #### columnOrdering

          protected java.util.List<java.lang.Integer> columnOrdering

    - #### columnOrderingIndex

          protected int columnOrderingIndex

    - #### columnsFromPreviousRows

          protected int columnsFromPreviousRows

    - #### unsortedColumnsForRow

          protected java.util.ArrayList<Column> unsortedColumnsForRow

  - ### Constructor Detail

    - #### ConstructionState

          protected ConstructionState(java.util.List<java.lang.Integer> columnOrdering)

  - ### Method Detail

    - #### addRow

          public void addRow(Row row)

    - #### addUnsortedColumnForRow

          public void addUnsortedColumnForRow(Column column)

    - #### endRow

          public void endRow()

    - #### end

          public void end()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.